package com.community.huiju.controller;

import com.community.commom.mode.ResponseBean;
import com.community.commom.session.UserElement;
import com.community.huiju.service.IBuildingOwnerInfo;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiImplicitParams;
import io.swagger.annotations.ApiOperation;
import org.apache.ibatis.annotations.Param;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.cloud.context.config.annotation.RefreshScope;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

import javax.servlet.http.HttpSession;

/**
 * version V1.0
 * class_name: $METHOD_NAME$
 * param: $METHOD_PARAM$
 * describe: TODO
 * creat_user:fannaixi
 * creat_time: 2019/3/28
 **/
@RestController
@RefreshScope
@RequestMapping("/")
@Api(value = "楼栋资料库API",description = "楼栋资料库API")
public class IBuildingOwnerInfoController extends BaseController {
    @Autowired
    private IBuildingOwnerInfo iBuildingOwnerInfo;

    @ApiOperation(value = "关联当前用户房产",notes = "关联当前用户房产")
    @ApiImplicitParams({@ApiImplicitParam(dataType = "body",dataTypeClass = String.class,name = "paramet",
            value = "")
    })
    @ApiImplicitParam(paramType = "header", dataTypeClass = String.class, name = "X-Auth-Token", value = "Token")
    @RequestMapping(value = "/add",method = RequestMethod.POST)
    public ResponseBean add(@RequestBody String paramet, HttpSession session){
                return null;
    }

    @ApiOperation(value = "当前用户未关联的房屋列表",notes = "当前用户未关联的房屋列表")
    @ApiImplicitParams({@ApiImplicitParam(dataType = "body",dataTypeClass = String.class,name = "paramet",
            value = "")
    })
    @ApiImplicitParam(paramType = "header", dataTypeClass = String.class, name = "X-Auth-Token", value = "Token")
    @RequestMapping(value = "/buildingownerinfo",method = RequestMethod.POST)
    public ResponseBean buildingownerinfoList(@RequestBody String paramet, HttpSession session){
        UserElement userElement= getUserElement(session);
        ResponseBean buildingownerinfoList= iBuildingOwnerInfo.buildingownerinfoList(paramet,userElement);
        return buildingownerinfoList;
    }
}
